# build environment
FROM node:lts-alpine3.15 as mybuild
WORKDIR /app
ENV PATH /app/node_modules/.bin:$PATH
COPY package.json /app/package.json
RUN npm install && npm install @vue/cli@4.5.9 -g
COPY . /app
RUN npm install --save axios
RUN npm run build

# production environment
FROM nginxinc/nginx-unprivileged:1.20-alpine
COPY --from=mybuild /app/dist /usr/share/nginx/html
RUN rm /etc/nginx/conf.d/default.conf
COPY nginx/nginx.conf /etc/nginx/conf.d
EXPOSE 8080
CMD ["nginx", "-g", "daemon off;"]
